<template>
<div id="table" class="app-container calendar-list-container">
	    <!-- 查询和其他操作 -->
	    <div class="filter-container" style="margin: 10px 0 10px 0;">
        <el-form :inline="true" label-width="68px" style="margin-bottom: 8px;">
          <el-col :span="22">
            <el-form-item label="创建日期" label-width="100px">
              <el-date-picker
                v-model="queryParams.createTime"
                class="baseInput"
                type="date"
                placeholder="请选择"
                format="yyyy-MM-dd"
                value-format="yyyy-MM-dd"
              />
            </el-form-item>
            <el-form-item label="分类名称">
              <el-input clearable class="filter-item" style="width: 200px;" v-model="queryParams.name" placeholder="请输入名称"></el-input>
            </el-form-item>
            <!--<el-button class="filter-item" type="primary" icon="el-icon-search" @click="handleFind" v-permission="'/girlSort/getList'">查找</el-button>-->
            <el-button class="filter-item" type="primary" icon="el-icon-search" @click="handleFind">查找</el-button>
          </el-col>
          <el-col :span="2">
            <!--<el-button class="filter-item" type="primary" @click="handleAdd" icon="el-icon-edit" v-permission="'/girlSort/add'" justify="end">新建分类</el-button>-->
            <el-button class="filter-item" type="primary" @click="handleAdd" icon="el-icon-edit" justify="end">新建分类</el-button>
          </el-col>
        </el-form>
	    </div>

    <el-table :data="tableData" style="width:100%" class="show_table" >
      <el-table-column label="分类编号" width="100" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.uid }}</span>
        </template>
      </el-table-column>
      <el-table-column label="权重排序" width="100" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.sort }}</span>
        </template>
      </el-table-column>
	    <el-table-column label="分类名称" width="160" align="center">
	      <template slot-scope="scope">
	        <span>{{ scope.row.name }}</span>
	      </template>
	    </el-table-column>
	    <el-table-column label="分类介绍" width="300" align="center">
	      <template slot-scope="scope">
	        <span>{{ scope.row.introduce }}</span>
	      </template>
	    </el-table-column>
      <el-table-column label="分类图标" width="160" align="center">
        <template slot-scope="scope">
          <img  v-if="scope.row.photoList" :src="scope.row.photoList[0]" style="width: 130px;height: 70px;"/>
        </template>
      </el-table-column>
      <el-table-column label="图集分类标签" width="300" align="center" >
        <template slot-scope="scope">
          <template>
            <el-tag
              style="margin-left: 3px"
              type="warning"
              v-if="item"
              :key="index"
              v-for="(item, index) in scope.row.tagList"
            >{{item.name}}</el-tag>
          </template>
        </template>
      </el-table-column>
      <!--<el-table-column label="使用权限" width="300" align="center">
        <template slot-scope="scope">
          <span>{{ scope.row.uerPower }}</span>
        </template>
      </el-table-column>-->
      <el-table-column label="创建时间" width="160" align="center">
        <template slot-scope="scope">
          <span >{{ scope.row.createTime }}</span>
        </template>
      </el-table-column>
      <el-table-column label="上架" width="140" align="center">
        <template slot-scope="scope">
          <span @click="handleUp(scope.row)" style="background-color:#EAFBFF;">{{ scope.row.upCount }}</span>
        </template>
      </el-table-column>
      <el-table-column label="未上架" width="140" align="center">
        <template slot-scope="scope">
          <span @click="handleOut(scope.row)" style="background-color:#EAFBFF;">{{ scope.row.outCount }}</span>
        </template>
      </el-table-column>
	    <el-table-column label="操作" fixed="right" min-width="150" align="center">
	      <template slot-scope="scope" >
	      	<!--<el-button @click="handleEdit(scope.row)" type="primary" size="small" v-permission="'/girlSort/edit'">编辑</el-button>
	      	<el-button @click="handleDelete(scope.row)" type="danger" size="small" v-permission="'/girlSort/delete'">删除</el-button>-->
	      	<el-button @click="handleEdit(scope.row)" type="primary" size="small">编辑</el-button>
          <el-button @click="handleDelete(scope.row)" type="danger" size="small">删除</el-button>
	      </template>
	    </el-table-column>
	  </el-table>

		<!--分页-->
    <div class="block">
        <el-pagination
          @size-change="handleSizeChange"
          @current-change="handleCurrentChange"
          :current-page.sync="currentPage"
          :page-sizes="[40, 80, 120, 200]"
          :page-size="pageSize"
          layout="total, prev, pager, next, jumper, sizes"
          :total="total">
        </el-pagination>
    </div>

	  <!-- 添加或修改对话框 -->
		<el-dialog :title="title" :visible.sync="dialogFormVisible" width="30%" :before-close="sortHandleClose" center>
		  <el-form :model="form" :rules="rules" ref="form" label-width="auto">
        <el-form-item label="分类ID" :label-width="formLabelWidth" v-if="form.uid">
          <span>{{form.uid}}</span>
        </el-form-item>
		    <el-form-item label="分类名称" :label-width="formLabelWidth" prop="name">
		      <el-input v-model="form.name" style="width:80%"></el-input>
		    </el-form-item>
        <el-form-item label="分类介绍" :label-width="formLabelWidth" prop="introduce">
          <textarea v-model="form.introduce" type="text" auto-complete="off" style="width: 80%;height: 100px"></textarea>
        </el-form-item>
        <el-form-item label="分类图标" :label-width="formLabelWidth">
          <div class="imgBody" v-if="form.photoList">
            <i class="el-icon-error inputClass" v-show="icon" @click="deletePhoto()" @mouseover="icon = true"></i>
            <img @mouseover="icon = true" @mouseout="icon = false" v-bind:src="form.photoList[0]" style="display:inline; width: 195px;height: 105px;"/>
          </div>
          <div v-else class="uploadImgBody" @click="checkPhoto">
            <i class="el-icon-plus avatar-uploader-icon"></i>
          </div>
        </el-form-item>
        <el-form-item label="排序权重" :label-width="formLabelWidth" prop="sort">
          <el-input v-model="form.sort" style="width:80%"></el-input>
        </el-form-item>
        <el-form-item label="标签" :label-width="formLabelWidth" prop="tagUid">
          <el-select
            @input="tagContentChange"
            v-model="form.tagUid"
            multiple
            size="small"
            placeholder="请选择"
            style="width:80%"
            filterable
          >
            <el-option
              v-for="item in tagData"
              :key="item.uid"
              :label="item.name"
              :value="item.uid"
            ></el-option>
          </el-select>
        </el-form-item>
		  </el-form>
		  <div slot="footer" class="dialog-footer">
		    <el-button @click="sortHandleClose">取 消</el-button>
		    <el-button type="primary" @click="submitForm">确 定</el-button>
		  </div>
		</el-dialog>

  <!--妹子消息-->
  <el-dialog :title="girlTitle" class="header-title" :visible.sync="girlFormVisible"  width="79%" style="height: 800px" :before-close="handleClose">
    <el-form :model="girlQueryParams" :span="50" ref="girlQueryParams">

      <el-col :span="7">
        <el-form-item label="妹子名称">
          <el-input clearable class="filter-item" style="width: 200px;" v-model="girlQueryParams.name" placeholder="请输入名称"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="8">
        <el-form-item label="妹子ID">
          <el-input clearable class="filter-item" style="width: 200px;" v-model="girlQueryParams.uid" placeholder="请输入妹子ID"></el-input>
        </el-form-item>
      </el-col>
      <el-col :span="2" >
        <!--<el-button @click="girlList()" type="primary" size="small" v-permission="'/girl/getGirllistBySort'">查询</el-button>-->
        <el-button @click="girlList()" type="primary" size="small">查询</el-button>
      </el-col>
      <el-col :span="2">
       <!-- <el-button @click="upOrOutForm()" type="primary" size="small" v-if="girlQueryParams.status==1" v-permission="'/girl/upOrOut'">下架</el-button>
        <el-button @click="upOrOutForm()" type="primary" size="small" v-if="girlQueryParams.status==0" v-permission="'/girl/upOrOut'">上架</el-button>-->
        <el-button @click="upOrOutForm()" type="primary" size="small" v-if="girlQueryParams.status==1">下架</el-button>
        <el-button @click="upOrOutForm()" type="primary" size="small" v-if="girlQueryParams.status==0">上架</el-button>
      </el-col>

      <el-table :data="girlTableData" style="width:100%" class="show_table" @selection-change="handleSelectionChange" :default-sort="{prop: 'sort', order: 'descending'}">
        <el-table-column type="selection"></el-table-column>
        <el-table-column label="妹子ID" width="100" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.uid }}</span>
          </template>
        </el-table-column>
        <el-table-column label="妹子名称" width="160" align="center">
          <template slot-scope="scope">
            <span @click="handlePic(scope.row)" style="background-color:#EAFBFF;">{{ scope.row.name }}</span>
          </template>
        </el-table-column>
        <el-table-column label="简介" width="100" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.introduce }}</span>
          </template>
        </el-table-column>
        <el-table-column label="年龄" width="100" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.age }}</span>
          </template>
        </el-table-column>
        <el-table-column label="价格（次/夜）" width="160" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.priceOne }}/{{scope.row.priceNight}}</span>
          </template>
        </el-table-column>
        <el-table-column label="城市" width="200" align="center" >
          <template slot-scope="scope">
            <span v-if="scope.row.city">{{ scope.row.city.name }}</span>
          </template>
        </el-table-column>
        <el-table-column label="身高（cm）" width="140" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.height }}</span>
          </template>
        </el-table-column>
        <el-table-column label="体重（kg）" width="140" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.weight }}</span>
          </template>
        </el-table-column>
        <el-table-column label="罩杯" width="160" align="center">
          <template slot-scope="scope">
            <span>{{ scope.row.cup }}</span>
          </template>
        </el-table-column>
        <el-table-column label="职业" width="160" align="center">
          <template slot-scope="scope">
            <span >{{ scope.row.occupation }}</span>
          </template>
        </el-table-column>
        <el-table-column label="标签" width="200" align="center" >
          <template slot-scope="scope">
            <template>
              <el-tag
                style="margin-left: 3px"
                type="warning"
                v-if="item"
                :key="index"
                v-for="(item, index) in scope.row.tagList"
              >{{item.name}}</el-tag>
            </template>
          </template>
        </el-table-column>
        <el-table-column label="图片数量" width="160" align="center">
          <template slot-scope="scope">
            <span >{{ scope.row.count }}</span>
          </template>
        </el-table-column>
        <el-table-column label="创建时间" width="160" align="center">
          <template slot-scope="scope">
            <span >{{ scope.row.createTime }}</span>
          </template>
        </el-table-column>
        <el-table-column label="更新时间" width="160" align="center">
          <template slot-scope="scope">
            <span >{{ scope.row.updateTime }}</span>
          </template>
        </el-table-column>
        <el-table-column label="状态" width="100" align="center">
          <template slot-scope="scope">
            <template v-if="scope.row.status == 1">
             <span>上架中</span>
           </template>
           <template v-if="scope.row.status == 0">
             <span>下架中</span>
           </template>
          </template>
       </el-table-column>
      </el-table>
      <!--图集分页-->
      <div class="block">
        <el-pagination
          @size-change="girlHandleSizeChange"
          @current-change="girlHandleCurrentChange"
          :current-page.sync="girlCurrentPage"
          :page-sizes="[40, 80, 120, 200]"
          :page-size="girlPageSize"
          layout="total, prev, pager, next, jumper, sizes"
          :total="girlTotal">
        </el-pagination>
      </div>
    </el-form>
    <div slot="footer" class="dialog-footer">
    </div>
  </el-dialog>



  <!--图集图片信息-->
  <el-drawer :visible.sync="pictureFormVisible"  :direction="direction" :size="size" :before-close="pictureHandleClose">
    <el-form  :model="picForm" :span="50" ref="picForm">

      <el-tabs class="scroll"
               v-model="activeName"
               type="border-card"
               tab-position="left"
      >
        <el-row >
          <el-col
            v-for="(picture, index) in pictureData"
            :key="picture.uid"
            style="padding: 6px"
            :xs="24"
            :sm="12"
            :md="12"
            :lg="6"
            :xl="4"
          >
            <el-card
              :body-style="{ padding: '0px', textAlign: 'center' }"
              shadow="always"
            >
              <el-image class="showimg"
                        :src="picture.pictureUrl"
                        style="cursor:pointer"
                        fit="cover"
                        @click="showPicture(picture.pictureUrl)"
                        v-if="picture.uid"
              />

              <Video id="myVideo" v-else class="video-js" controls="true" preload="auto">
                <source :src="picture.pictureUrl" type="video/mp4">
              </Video>
              <div @click="showPicture(picture.pictureUrl)">
                <span class="media-title" v-if="picture.updateTime">{{picture.updateTime}}</span>
                <span class="media-title" v-else>图片 {{index + 1}}</span>
              </div>
            </el-card>

          </el-col>
        </el-row>

      </el-tabs>


    </el-form>
    <div slot="footer" class="dialog-footer">
    </div>
  </el-drawer>

  <el-dialog :visible.sync="dialogPictureVisible" fullscreen style="text-align: center">
    <img :src="dialogImageUrl" alt="">
  </el-dialog>


  <avatar-cropper
    v-show="imagecropperShow"
    :key="imagecropperKey"
    :width="224"
    :height="148"
    :url="url"
    lang-type="zh"
    @close="close"
    @crop-upload-success="cropSuccess"
  />
  </div>
</template>

<script>
import {
  getGirlSortList,
  addGirlSort,
  editGirlSort,
  deleteSort,
} from "@/api/girlSort";
import {
  getPicList,
} from "@/api/girlPicture";
import {
  getGirlListBySort,
  upOrOut
} from "@/api/girl";
import {getTagList} from "@/api/girlTag";
import AvatarCropper from '@/components/AvatarCropper'

export default {
  components: {
    AvatarCropper
  },
  created() {
    this.tagList();
    this.girlSortList();
  },
  data() {
    return {
      picForm:{
        uid: null
      },
      direction: 'ltr',
      size: '100%',
      // 图片上传路径
      url: process.env.PICTURE_API + "/file/cropperPicture",
      dialogImageUrl: "", //图片显示地址
      tableData: [],
      girlTableData: [],//图集数据
      activeName:0,
      pictureData: [], //图片数据
      girlQueryParams:{
        uid:null,
        name:null,
        sortName:null,
        projectName:null,
        sortUid:null,
        status:null,
        upCount:null,
        outCount:null
      },
      girlForm:{
        uid: null,
      },
      form: {
        uid: null,
        name: null,
        fileUid: null,
        tagUid: null,
        model: null,
        producer: null,
        projectUid: null,
        projectName: null,
      },
      queryParams:{
        name: "",
        createTime: "", //创建时间搜索
      },
      isChange: false, // 表单内容是否改变

      changeCount: 0, // 改变计数器
      pictureUids: [], //图片uid集合
      resourceData: [], //标签数据
      tagValue: [], //保存选中标签id(编辑时)
      projectValue: null, //保存选中标签id(编辑时)
      tagData: [], //标签数据
      tagOptions: [], //标签候选框
      projectOptions: [], //标签候选框
      multipleSelection: [], //多选，用于批量修改标签
      currentPage: 1,
      total: null,
      pageSize: 40,
      girlCurrentPage: 1,
      girlTotal: null,
      girlPageSize: 40,
      keyword: "",
      title: "增加图集",
      isSortAdd: false,
      girlTitle: "上架中",
      updateTagTitle: "修改标签",
      formLabelWidth: "120px", //弹框的label边框
      dialogFormVisible: false,
      girlFormVisible: false,
      pictureFormVisible: false,
      dialogPictureVisible: false,//当前分类图集列表
      isEditForm: false,
      photoList: [],
      imagecropperKey: 0,
      imagecropperShow: false, //控制图片选择器的显示
      fileIds: "",
      icon: false, //控制删除图标的显示
      isFirstPhotoVisible: true, // 图片选择器是否首次显示【用于懒加载】
      rules: {
        introduce: [
          {min: 0, max: 200, message: '最多输入200个字'},
        ],
        name: [
          {required: true, message: '分类名称不能为空', trigger: 'blur'},
          {min: 1, max: 32, message: '长度在1到32个字符'},
        ],
        tagUid: [
          {required: true, message: '标签不能为空'},
        ],
        sort: [
          {required: true, message: '排序字段不能为空', trigger: 'blur'},
          {pattern: /^[0-9]\d*$/, message: '排序字段只能为自然数'},
        ]
      },
    };
  },
  methods: {
    girlSortList: function() {
      var params = {};
      params.name = this.queryParams.name
      params.createTime = this.queryParams.createTime;
      params.pageSize =  this.pageSize
      params.currentPage = this.currentPage
      getGirlSortList(params).then(response => {
        this.tableData = response.data.records;
        this.currentPage = response.data.current;
        this.pageSize = response.data.size;
        this.total = response.data.total;
      });
    },
    tagList: function() {
      var tagParams = {};
      tagParams.pageSize = 1000;
      tagParams.currentPage = 1;
      getTagList(tagParams).then(response => {
        this.tagData = response.data.records;
        this.tagOptions = response.data.records;
      });
    },

    //点击单选
    checked: function(data) {
      let idIndex = this.pictureUids.indexOf(data.uid);
      if (idIndex >= 0) {
        //选过了
        this.pictureUids.splice(idIndex, 1);
      } else {
        this.pictureUids.push(data.uid);
      }
    },
    // 内容改变，触发监听
    tagContentChange: function() {
      // this.form.tagUid = this.tagValue.join(",");
    },
    projectContentChange: function() {
      // this.form.projectUid = this.projectValue;
    },

    handleFind: function() {
      this.currentPage = 1
      this.girlSortList();
    },
    getFormObject: function() {
      var formObject = {
        uid: null,
        name: null,
        fileUid: null,
        sort: 0,
        isShow: this.yesNoDefault,
      };
      return formObject;
    },
    deletePhoto: function() {
      this.form.photoList = null;
      this.form.ava = "";
      this.icon = false;
    },
    checkPhoto() {
      this.photoList = [];
      this.fileUid = "";
      this.imagecropperShow = true;
      this.isFirstPhotoVisible = false
    },
    /**
     * 翻页事件
     */
    handleSizeChange(val) {
      this.pageSize = val;
      this.girlSortList();
    },
    //改变页码
    handleCurrentChange(val) {
      this.currentPage = val;
      this.girlSortList();
    },
    /**
     * 翻页事件
     */
    girlHandleSizeChange(val) {
      this.girlPageSize = val;
      this.girlList();
    },
    girlHandleCurrentChange(val) {
      this.girlCurrentPage = val;
      this.girlList();
    },
    //点击新增
    handleAdd: function() {
      this.title = "新建分类"
      this.isSortAdd = true
      this.dialogFormVisible = true;
      this.form = this.getFormObject();
      this.isEditForm = false;
      this.projectValue = null;
      this.tagValue = [];
    },
    //点击编辑
    handleEdit: function(row) {
      this.title = "编辑分类"
      this.isSortAdd = false;
      this.dialogFormVisible = true;
      this.isEditForm = true;
      this.form = row;
      this.tagValue = [];
      if (row.tagUid != undefined){
        var tagValue = this.form.tagUid.split(",");
        for (var a = 0; a < tagValue.length; a++) {
          if (tagValue[a] != null && tagValue[a] != "") {
            this.tagValue.push(tagValue[a]);
          }
        }
        this.form.tagUid = this.tagValue;
      }
    },

    //上架妹子列表
    handleUp(row) {
      if (row.upCount == 0){
        this.$commonUtil.message.success("当前无上架中妹子！")
      }else {
        this.girlTitle = "上架中"
        this.girlFormVisible = true;
        this.girlQueryParams.sortUid = row.uid;
        this.girlQueryParams.sortName = row.name;
        this.girlQueryParams.status = 1;
        this.girlQueryParams.upCount =  row.upCount;
        this.girlList();
      }
    },

    //下架妹子列表
    handleOut(row) {
      if (row.outCount == 0){
        this.$commonUtil.message.success("当前无下架中妹子！")
      }else {
        this.girlTitle = "下架中"
        this.girlFormVisible = true;
        this.girlQueryParams.sortUid = row.uid;
        this.girlQueryParams.sortName = row.name;
        this.girlQueryParams.status = 0;
        this.girlQueryParams.outCount = row.outCount;
        this.girlList();
      }
    },

    showPicture: function(url) {
      this.dialogPictureVisible = true
      this.dialogImageUrl = url
    },

    girlList() {
      var params = {};
      var query = true;
      if (this.girlTitle == "上架中"){
        if (this.girlQueryParams.upCount == 0){
          query = false;
        }
      }else if(this.girlTitle == "下架中"){
        if (this.girlQueryParams.outCount == 0){
          query = false;
        }
      }
      if (query){
        params.sortUid = this.girlQueryParams.sortUid;
        params.status = this.girlQueryParams.status;
        params.name = this.girlQueryParams.name;
        params.uid = this.girlQueryParams.uid;
        params.pageSize = this.girlPageSize;
        params.currentPage = this.girlCurrentPage;
        getGirlListBySort(params).then(response =>{
          this.girlTableData = response.data.records
          this.girlCurrentPage = response.data.current;
          this.girlPageSize = response.data.size;
          this.girlTotal = response.data.total;
        });
      }else {
        this.$commonUtil.message.error("当前无相关妹子消息！")
      }
    },

    submitForm: function() {
      this.$refs.form.validate((valid) => {
        if(!valid) {
          console.log("校验出错")
        } else {
          this.form.tagUid = this.form.tagUid.join(",");
          if (this.projectUid){
            this.form.projectUid = this.projectUid;
          }
          if (this.isEditForm) {
            editGirlSort(this.form).then(response => {
              this.$commonUtil.message.success(response.message)
              this.dialogFormVisible = false;
              this.girlSortList();
            });
          } else {
            addGirlSort(this.form).then(response => {
              if (response.code == this.$ECode.SUCCESS) {
                this.$commonUtil.message.success(response.message)
              } else {
                this.$commonUtil.message.error(response.message)
              }
              this.dialogFormVisible = false;
              this.girlSortList();
            });
          }
        }
      })
    },

    /*删除分类*/
    handleDelete: function(row) {
      var that = this;
      this.$confirm("此操作将把分类删除, 是否继续?", "提示", {
        confirmButtonText: "确定",
        cancelButtonText: "取消",
        type: "warning"
      })
        .then(() => {
          deleteSort(row).then(response => {
            if(response.code == this.$ECode.SUCCESS) {
              this.$commonUtil.message.success(response.message)
            } else {
              this.$commonUtil.message.error(response.message)
            }
            this.girlSortList();
          });
        })
        .catch(() => {
          this.$commonUtil.message.info("已取消删除")
        });
    },

    // 改变多选
    handleSelectionChange(val) {
      this.multipleSelection = val;
    },

    upOrOutForm: function() {
      if (this.multipleSelection.length == 0){
        this.$commonUtil.message.error("请选择妹子")
      }else {
        for(var i=0;i<this.multipleSelection.length;i++){
          this.multipleSelection[i].sortUid = this.girlQueryParams.sortUid;
          this.multipleSelection[i].girlUid = this.multipleSelection[i].uid;
          if(this.girlTitle == "上架中"){
            this.multipleSelection[i].status = 0;
          }else {
            this.multipleSelection[i].status = 1;
          }
        }
        upOrOut(this.multipleSelection).then(response => {
          if (response.code == this.$ECode.SUCCESS) {
            this.$commonUtil.message.success(response.message)
          } else {
            this.$commonUtil.message.error(response.message)
          }
          this.girlFormVisible = false;
          this.girlQueryParams.name = null;
          this.girlQueryParams.status = null;
          this.girlSortList();
        });
      }

    },
    handleClose(){
      this.girlTableData = [];
      this.girlQueryParams.uid = null;
      this.girlQueryParams.name = null;
      this.girlFormVisible = false;
    },

    pictureHandleClose(){
      this.pictureData = [];
      this.pictureFormVisible = false;
    },

    sortHandleClose(){
      this.dialogFormVisible = false;
      this.$refs.form.clearValidate();
      this.girlSortList();
    },

    cropSuccess(resData) {
      this.imagecropperShow = false
      this.imagecropperKey = this.imagecropperKey + 1
      let photoList = []
      photoList.push(resData[0].url);
      this.form.photoList = photoList;
      this.form.fileUid = resData[0].uid
    },
    close() {
      this.imagecropperShow = false
    },

    deletePhoto: function() {
      this.form.photoList = null;
      this.form.ava = "";
      this.icon = false;
    },
    checkPhoto() {
      this.photoList = [];
      this.fileUid = "";
      this.imagecropperShow = true;
    },

    pictureList() {
      var params = {};
      params.currentPage = 1;
      params.girlUid = this.picForm.uid;
      params.pageSize = 1000;
      getPicList(params).then(response =>{
        this.pictureData = response.data.records
      });
    },

    handlePic(row) {
      this.pictureFormVisible = true;
      this.picForm.uid = row.uid;
      this.pictureList();

    },

  }
};
</script>
<style scoped>
.cover-icon {
 position: absolute;
 /*top: 40px;*/
 left: 80px;
 z-index: 100;
 color: aliceblue;
 background-color: #9d0006;
}
.avatar-uploader .el-upload {
  border: 1px dashed #d9d9d9;
  border-radius: 6px;
  margin: 0, 0, 0, 10px;
  cursor: pointer;
  position: relative;
  overflow: hidden;
}
.avatar-uploader .el-upload:hover {
  border-color: #409eff;
}
.avatar-uploader-icon {
  font-size: 28px;
  color: #8c939d;
  width: 100px;
  height: 100px;
  line-height: 100px;
  text-align: center;
  border: 1px dashed #c0ccda;
  border-radius: 8px;
}
.inputClass {
  position: absolute;
}
.imgBody {
  width: 100px;
  height: 100px;
  border: solid 2px #ffffff;
  float: left;
  position: relative;
}
.uploadImgBody {
  margin-left: 5px;
  width: 100px;
  height: 100px;
  border: dashed 1px #c0c0c0;
  float: left;
  position: relative;
}
.uploadImgBody :hover {
  border: dashed 1px #00ccff;
}
.inputClass {
  position: absolute;
}
.show_table {
  background-color: #dde;
  width: 100%;
  height: 100%;
  overflow: auto;
  position: relative;
}
.scroll {
  width: 100%;
  height: calc(100vh - 131px);
  overflow: hidden;
  overflow-y: auto;
}
.showimg {
  width: 357px;
  height: 467px;
  background-color: royalblue;

}
.video-js {
  width: 400px;
  height: 467px;
}
</style>
